<?php

$services = array(
	"Gradelevel Level Management" => array(
		'functions' => array('block_gradelevel_submit_levels', 'block_gradelevel_list_levels'),
		'requiredcapability' => 'block/gradelevel:changelevels',
		'shortname'=> 'block_gradelevel_levelmgmt',
		'restrictedusers' => 0,
		'enabled' => 0,
		'ajax' => true,
	),
);

$functions = array(
    'block_gradelevel_submit_levels' => array(         //web service function name
        'classname'		=> 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'	=> 'submit_levels',          //external function name
        'classpath'		=> 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'	=> 'Update level settings for a given skill',    //human readable description of the web service function
        'type'			=> 'write',                  //database rights of the web service function (read, write)
		'ajax'			=> true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),
    'block_gradelevel_list_levels' => array(         //web service function name
        'classname'     => 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'    => 'list_levels',          //external function name
        'classpath'     => 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'   => 'List level settings for a given skill',    //human readable description of the web service function
        'type'          => 'read',                  //database rights of the web service function (read, write)
		'ajax'	        => true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),
    'block_gradelevel_list_skills' => array(         //web service function name
        'classname'     => 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'    => 'list_skills',          //external function name
        'classpath'     => 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'   => 'List skills',    //human readable description of the web service function
        'type'          => 'read',                  //database rights of the web service function (read, write)
		'ajax'	        => true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),
    'block_gradelevel_get_skill' => array(         //web service function name
        'classname'     => 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'    => 'get_skill',          //external function name
        'classpath'     => 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'   => 'Retrieve skill information',    //human readable description of the web service function
        'type'          => 'read',                  //database rights of the web service function (read, write)
		'ajax'	        => true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),
    'block_gradelevel_update_skill' => array(         //web service function name
        'classname'     => 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'    => 'update_skill',          //external function name
        'classpath'     => 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'   => 'Update a skill',    //human readable description of the web service function
        'type'          => 'read',                  //database rights of the web service function (read, write)
		'ajax'	        => true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),
    'block_gradelevel_add_skill' => array(         //web service function name
        'classname'     => 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'    => 'add_skill',          //external function name
        'classpath'     => 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'   => 'Add a new skill',    //human readable description of the web service function
        'type'          => 'read',                  //database rights of the web service function (read, write)
		'ajax'	        => true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),
    'block_gradelevel_delete_skill' => array(         //web service function name
        'classname'     => 'block_gradelevel_skillmgmtservice',  //class containing the external function
        'methodname'    => 'delete_skill',          //external function name
        'classpath'     => 'blocks/gradelevel/skillmgmtservice.php',  //file containing the class/external function
        'description'   => 'Delete a skill',    //human readable description of the web service function
        'type'          => 'read',                  //database rights of the web service function (read, write)
		'ajax'		    => true,
		'capabilities'  => 'block/gradelevel:skillmanager',
		'loginrequired' => true,
		'services'		=> array('block_gradelevel_levelmgmt'),
    ),

);
